ReferenceAdmin
Documents of a shared source, newest first
GET
/v1/admin/shared-sources/{sourceId}/documentsPath Parameters
sourceId*string
Format
uuidQuery Parameters
status?string
Value in
- "pending"
- "queued"
- "processing"
- "ready"
- "failed"
- "skipped"
q?string
Case-insensitive substring match on the title, URL or file name
Length
length <= 200kind?string
Only documents of this kind: pdf, docx, pptx, html, markdown, text or image
Value in
- "pdf"
- "docx"
- "pptx"
- "html"
- "markdown"
- "text"
- "image"
tag?string
Only documents with this tag (case-insensitive)
Length
length <= 64errorCode?string
Only documents with this error code, e.g. needs_ocr (skipped as scanned)
Match
^[a-z_]+$Length
length <= 64cursor?string
nextCursor from the previous page
limit?integer
Range
1 <= value <= 200Default
50Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/admin/shared-sources/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents"{ "data": { "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2", "title": "string", "filename": "string", "url": "string", "kind": "string", "sizeBytes": 0, "version": 0, "status": "pending", "errorCode": "string", "errorMessage": "string", "errorDetail": "string", "pages": 0, "chunkCount": 0, "tokenCount": 0, "warnings": [ "string" ], "tags": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "processedAt": "2019-08-24T14:15:22Z", "ocr": { "backend": "tesseract", "pages": [ 3, 4, 5, 6, 7 ] } } ], "nextCursor": "string" }}